# Generated by Django 3.2 on 2021-05-18 22:22

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('listings', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='ReservationInfo',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('check_in', models.DateField(help_text='start date for reservation')),
                ('check_out', models.DateField(help_text='end date for reservation')),
                ('hotel_room', models.ForeignKey(blank=True, help_text='reserved hotel rooms', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='reservation_infos', to='listings.hotelroom')),
                ('listing', models.ForeignKey(help_text='reserved type listings', on_delete=django.db.models.deletion.CASCADE, related_name='reservation_infos', to='listings.listing')),
            ],
            options={
                'verbose_name': 'Reservation Information',
                'verbose_name_plural': 'Reservation Informations',
            },
        ),
    ]
